com.sap.security.um

## Class UMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sap.security.um.UMException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PersistenceException, UnsupportedUserAttributeException

      public class UMException
      extends Exception

  Base class for all declared exceptions thrown by the UM bundle.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UMException(String technicalMessage)` Constructs a new UM Exception with the specified detail message.
    `UMException(String technicalMessage, Throwable thr)` Constructs a new UM Exception with the specified detail message and cause.
    `UMException(Throwable thr)` Constructs a new UM Exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UMException

          public UMException(String technicalMessage)

      Constructs a new UM Exception with the specified detail message.
      Parameters:
        `technicalMessage` - - the detail message

    - #### UMException

          public UMException(Throwable thr)

      Constructs a new UM Exception with the specified cause.
      Parameters:
        `thr` - - the root cause for creating UMException

    - #### UMException

          public UMException(String technicalMessage,
                     Throwable thr)

      Constructs a new UM Exception with the specified detail message and cause.
      Parameters:
        `technicalMessage` - - the detail message
        `thr` - - the root cause for creating UMException

Copyright © 2019 SAP. All Rights Reserved.